[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarUnexpectedError

Raise an EVariantUnexpectedError error

## Declaration

Source position: variants.pp line 308

`procedure VarUnexpectedError;`

## Description

VarUnexpectedError raises an EVariantUnexpectedError exception with a standard error message.

## See also

EVariantUnexpectedError |  | Exception raised during unexpected error
VarInvalidNullOp |  | Raise an EVariantInvalidOpError error
VarInvalidOp |  | Raise a EVariantInvalidOpError error
VarBadIndexError |  | Raise an EVariantBadIndexError error
VarArrayLockedError |  | Raise an EVariantArrayLockedError error